Crunchy Certified PostgreSQL v9.5

Certificate details

Status archived
Valid from 09.06.2016
Valid until 09.06.2019
Scheme ๐Ÿ‡น๐Ÿ‡ท TR
Manufacturer Crunchy Data Solutions Inc.
Category Databases
Security level EAL2+, ALC_FLR.2
Protection profiles

Certificate

certificate could not be downloaded, no link is available.

Certification report

Extracted keywords

Hash functions
MD5
Protocols
SSL

Security level
EAL2+, EAL4, EAL2, EAL 2+
Claims
T.ACCESS, T.IA, T.RESIDUAL, T.TSF, T.UNAUTHORIZED, A.PHYSICAL, A.AUTHUSER, A.MANAGE, A.TRAINEDUSER, A.NO, A.PEER, A.SUPPORT, A.CONNECT
Security Assurance Requirements (SAR)
ALC_FLR.2
Certificates
21.0.33/TSE-CCCS-3

Certification process
Out of Scope, out of scope, 2.4.1.2 Components and Capabilities that are Out of Scope, The following Crunchy Certified PostgreSQL 9.5 components are out of scope and thus not included in the TOE, In addition, the following components in the IT environment are out of scope

Standards
RFC 1321, ISO/IEC 17025, CCMB-2012-09-004

Security target

Extracted keywords

Hash functions
MD5
Protocols
SSL

Security level
EAL2, EAL2 augmented
Claims
O.ACCESS_HISTORY, O.ADMIN_ROLE, O.AUDIT_GENERATION, O.DISCRETIONARY_ACCESS, O.MANAGE, O.MEDIATE, O.RESIDUAL_INFORMATION, O.TOE_ACCESS, O.TOEACCESS, T.ACCESS_TSFDATA, T.ACCESS_TSFFUNC, T.IA_MASQUERADE, T.IA_USER, T.RESIDUAL_DATA, T.TSF_COMPROMISE, T.UNAUTHORIZED_ACCESS, A.PHYSICAL, A.AUTHUSER, A.MANAGE, A.TRAINEDUSER, A.NO_GENERAL_PURPOSE, A.SUPPORT, A.CONNECT, OE.ADMIN, OE.INFO_PROTECT, OE.NO_GENERAL_PURPOSE, OE.PHYSICAL, OE.IT_REMOTE, OE.IT_TRUSTED_SYSTEM
Security Assurance Requirements (SAR)
ADV_ARC.1, ADV_FSP.2, ADV_TDS.1, AGD_OPE.1, AGD_PRE.1, ALC_FLR.2, ALC_CMC.2, ALC_CMS.2, ALC_DEL.1, ATE_COV.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.2, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1
Security Functional Requirements (SFR)
FAU_GEN.1, FAU_GEN.2, FAU_SEL.1, FAU_GEN.1.1, FAU_GEN.1.2, FAU_GEN.2.1, FAU_SEL.1.1, FDP_ACC.1, FDP_ACF.1, FDP_RIP.1, FDP_ACC.1.1, FDP_ACF.1.1, FDP_ACF.1.2, FDP_ACF.1.3, FDP_ACF.1.4, FDP_RIP.1.1, FIA_USB.1, FIA_ATD.1, FIA_UAU.1, FIA_UID.1, FIA_ATD.1.1, FIA_UAU.1.1, FIA_UAU.1.2, FIA_UID.1.1, FIA_UID.1.2, FMT_MOF.1, FMT_MSA.1, FMT_MSA.3, FMT_MTD.1, FMT_REV.1, FMT_SMF.1, FMT_SMR.1, FMT_MOF.1.1, FMT_MSA.1.1, FMT_MSA.3.1, FMT_MSA.3.2, FMT_MTD.1.1, FMT_REV.1.1, FMT_REV.1.2, FMT_SMF.1.1, FMT_SMR.1.1, FMT_SMR.1.2, FPT_TRC.1, FPT_TRC.1.1, FPT_TRC.1.2, FTA_MCS.1, FTA_TSE.1, FTA_MCS.1.1, FTA_MCS.1.2, FTA_TSE.1.1

Certification process
Out of Scope, out of scope, 1.5.10.2 Components and Capabilities that are Out of Scope, The following Crunchy Certified PostgreSQL 9.5 components are out of scope and thus not included in the TOE, 1.5.10.3 Configuration Options that are Out of Scope, In addition, the following components in the IT environment are out of scope, are prohibited in the evaluated configuration. See Section 1.5.10.2 for further details regarding Out of Scope Configuration Options

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

21.0.33/TSE-CCCS-3

Extracted SARs

ADV_ARC.1, ADV_FSP.2, ADV_TDS.1, AGD_OPE.1, AGD_PRE.1, ALC_CMC.2, ALC_CMS.2, ALC_DEL.1, ALC_FLR.2, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1, ATE_COV.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.2

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Databases",
  "cert_link": null,
  "dgst": "1be0865a3af6b498",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "21.0.33/TSE-CCCS-3",
    "cert_lab": null,
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL2+",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_TSS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_FUN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_SPD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_CCL",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_ECD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_REQ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_INT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_FLR",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_COV",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_TDS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_ARC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_OBJ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DEL",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "9.5"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": {
      "_type": "Set",
      "elements": [
        "3f6ac99252bbf14e"
      ]
    },
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": null,
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "Crunchy Data Solutions Inc.",
  "manufacturer_web": "https://crunchydata.com/",
  "name": "Crunchy Certified PostgreSQL v9.5",
  "not_valid_after": "2019-06-09",
  "not_valid_before": "2016-06-09",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": null,
    "cert_frontpage": null,
    "cert_keywords": null,
    "cert_metadata": null,
    "report_filename": "Certification Report - Crunchy.pdf",
    "report_frontpage": {},
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "TR": {
          "21.0.33/TSE-CCCS-3": 1
        }
      },
      "cc_claims": {
        "A": {
          "A.AUTHUSER": 1,
          "A.CONNECT": 1,
          "A.MANAGE": 1,
          "A.NO": 1,
          "A.PEER": 1,
          "A.PHYSICAL": 1,
          "A.SUPPORT": 1,
          "A.TRAINEDUSER": 1
        },
        "T": {
          "T.ACCESS": 2,
          "T.IA": 1,
          "T.RESIDUAL": 1,
          "T.TSF": 1,
          "T.UNAUTHORIZED": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ALC": {
          "ALC_FLR.2": 1
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 2+": 1,
          "EAL2": 1,
          "EAL2+": 3,
          "EAL4": 1
        }
      },
      "cc_sfr": {},
      "certification_process": {
        "OutOfScope": {
          "2.4.1.2 Components and Capabilities that are Out of Scope": 1,
          "In addition, the following components in the IT environment are out of scope": 1,
          "Out of Scope": 1,
          "The following Crunchy Certified PostgreSQL 9.5 components are out of scope and thus not included in the TOE": 1,
          "out of scope": 1
        }
      },
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "SSL": {
            "SSL": 3
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2012-09-004": 1
        },
        "ISO": {
          "ISO/IEC 17025": 2
        },
        "RFC": {
          "RFC 1321": 2
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/CreationDate": "D:20160715145628+02\u002700\u0027",
      "/Creator": "Canon iR-ADV C5240  PDF",
      "/Producer": "Adobe PSL 1.2e for Canon\u0000",
      "pdf_file_size_bytes": 1639551,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 24
    },
    "st_filename": "Security Target - Crunchy - Version 1.6 - 20160509.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.AUTHUSER": 2,
          "A.CONNECT": 1,
          "A.MANAGE": 2,
          "A.NO_GENERAL_PURPOSE": 2,
          "A.PHYSICAL": 2,
          "A.SUPPORT": 2,
          "A.TRAINEDUSER": 2
        },
        "O": {
          "O.ACCESS_HISTORY": 8,
          "O.ADMIN_ROLE": 8,
          "O.AUDIT_GENERATION": 6,
          "O.DISCRETIONARY_ACCESS": 6,
          "O.MANAGE": 10,
          "O.MEDIATE": 8,
          "O.RESIDUAL_INFORMATION": 8,
          "O.TOEACCESS": 1,
          "O.TOE_ACCESS": 17
        },
        "OE": {
          "OE.ADMIN": 11,
          "OE.INFO_PROTECT": 17,
          "OE.IT_REMOTE": 9,
          "OE.IT_TRUSTED_SYSTEM": 8,
          "OE.NO_GENERAL_PURPOSE": 6,
          "OE.PHYSICAL": 7
        },
        "T": {
          "T.ACCESS_TSFDATA": 3,
          "T.ACCESS_TSFFUNC": 3,
          "T.IA_MASQUERADE": 2,
          "T.IA_USER": 2,
          "T.RESIDUAL_DATA": 2,
          "T.TSF_COMPROMISE": 5,
          "T.UNAUTHORIZED_ACCESS": 3
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_ARC.1": 1,
          "ADV_FSP.2": 1,
          "ADV_TDS.1": 1
        },
        "AGD": {
          "AGD_OPE.1": 1,
          "AGD_PRE.1": 1
        },
        "ALC": {
          "ALC_CMC.2": 1,
          "ALC_CMS.2": 1,
          "ALC_DEL.1": 1,
          "ALC_FLR.2": 4
        },
        "ASE": {
          "ASE_CCL.1": 1,
          "ASE_ECD.1": 1,
          "ASE_INT.1": 1,
          "ASE_OBJ.2": 1,
          "ASE_REQ.2": 1,
          "ASE_SPD.1": 1,
          "ASE_TSS.1": 1
        },
        "ATE": {
          "ATE_COV.1": 1,
          "ATE_FUN.1": 1,
          "ATE_IND.2": 1
        },
        "AVA": {
          "AVA_VAN.2": 1
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL2": 3,
          "EAL2 augmented": 2
        }
      },
      "cc_sfr": {
        "FAU": {
          "FAU_GEN.1": 4,
          "FAU_GEN.1.1": 3,
          "FAU_GEN.1.2": 2,
          "FAU_GEN.2": 4,
          "FAU_GEN.2.1": 3,
          "FAU_SEL.1": 7,
          "FAU_SEL.1.1": 1
        },
        "FDP": {
          "FDP_ACC.1": 12,
          "FDP_ACC.1.1": 1,
          "FDP_ACF.1": 6,
          "FDP_ACF.1.1": 3,
          "FDP_ACF.1.2": 2,
          "FDP_ACF.1.3": 3,
          "FDP_ACF.1.4": 2,
          "FDP_RIP.1": 7,
          "FDP_RIP.1.1": 1
        },
        "FIA": {
          "FIA_ATD.1": 10,
          "FIA_ATD.1.1": 3,
          "FIA_UAU.1": 4,
          "FIA_UAU.1.1": 3,
          "FIA_UAU.1.2": 2,
          "FIA_UID.1": 5,
          "FIA_UID.1.1": 3,
          "FIA_UID.1.2": 2,
          "FIA_USB.1": 5
        },
        "FMT": {
          "FMT_MOF.1": 8,
          "FMT_MOF.1.1": 1,
          "FMT_MSA.1": 6,
          "FMT_MSA.1.1": 1,
          "FMT_MSA.3": 5,
          "FMT_MSA.3.1": 3,
          "FMT_MSA.3.2": 2,
          "FMT_MTD.1": 5,
          "FMT_MTD.1.1": 3,
          "FMT_REV.1": 13,
          "FMT_REV.1.1": 7,
          "FMT_REV.1.2": 8,
          "FMT_SMF.1": 5,
          "FMT_SMF.1.1": 2,
          "FMT_SMR.1": 7,
          "FMT_SMR.1.1": 1,
          "FMT_SMR.1.2": 2
        },
        "FPT": {
          "FPT_TRC.1": 7,
          "FPT_TRC.1.1": 1,
          "FPT_TRC.1.2": 1
        },
        "FTA": {
          "FTA_MCS.1": 5,
          "FTA_MCS.1.1": 3,
          "FTA_MCS.1.2": 2,
          "FTA_TSE.1": 4,
          "FTA_TSE.1.1": 3
        }
      },
      "certification_process": {
        "OutOfScope": {
          "1.5.10.2 Components and Capabilities that are Out of Scope": 1,
          "1.5.10.3 Configuration Options that are Out of Scope": 1,
          "In addition, the following components in the IT environment are out of scope": 1,
          "Out of Scope": 3,
          "The following Crunchy Certified PostgreSQL 9.5 components are out of scope and thus not included in the TOE": 1,
          "are prohibited in the evaluated configuration. See Section 1.5.10.2 for further details regarding Out of Scope Configuration Options": 1,
          "out of scope": 1
        }
      },
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "SSL": {
            "SSL": 19
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 4
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "RFC": {
          "RFC 1321": 4,
          "RFC 1413": 2,
          "RFC 1964": 1,
          "RFC 2743": 1,
          "RFC 4510": 1
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "st_metadata": {
      "/Author": "Paul Laurence",
      "/CreationDate": "D:20160715155933+03\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2013",
      "/ModDate": "D:20160715155933+03\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2013",
      "pdf_file_size_bytes": 1528693,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 80
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": [
      "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp0088b_pdf.pdf"
    ]
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/Certification%20Report%20-%20Crunchy.pdf",
  "scheme": "TR",
  "security_level": {
    "_type": "Set",
    "elements": [
      "EAL2+",
      "ALC_FLR.2"
    ]
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/Security%20Target%20-%20Crunchy%20-%20Version%201.6%20-%2020160509.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "64107c191fdeb07739d0996adfb300baeda15b43f2d33c2cb6637d69247fcdc7",
      "source_hash": "14d7b59a571f4e5d867815579932754efebb5c7d4fa71ac0be6249bc3d4a0e86",
      "txt_hash": "130b82872b5a82f14ff1be4cfaad8ca11eb5ece1ac4add118c204fd762ad178e"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "b367f818d1752b8c50339929c5e860a93a906ec166e0cb16e139466b90251bbd",
      "source_hash": "fc2796ea5cc0ec2eb07b9ae76f9e6b2ef415954468edc0e3bc4168d8d0cdba33",
      "txt_hash": "37ab77a329bf2309dbb9dbe892d79b07ae5318f746693a6f885c669ad6447ba5"
    }
  },
  "status": "archived"
}